:root {
    --button-background-color: rgb(226, 230, 193);
    --button-color: rgb(46, 36, 1);
    --button-background-hover: rgb(185, 188, 158);
    --button-hover-color: rgb(56, 105, 3);
    --button-disabled-color: rgb(176, 245, 102);
    --button-disabled-background: rgb(103, 105, 88);
}

button {
    background-color: var(--button-background-color);
    color: var(--button-color);
}

button:disabled {
    background-color: var(--button-disabled-background);
    color: var(--button-disabled-color);
    cursor:not-allowed;
}

body {
    background-color: rgb(250, 253, 203);
    color: black;
    font-family:Arial, Helvetica, sans-serif;
}

menu {
    display: flex;
    list-style: none;
    width: 100%;
    padding: 0;
    gap: 1em;
}

li {
    flex: auto;
}

.mobile-button {
    font-size: calc(1em + 1vw);
    padding: 1em 0;
    width: 100%;
}

.mobile-notification {
    background-color: orange;
    color: black;
}

.mobile-selected {
    background-color: gray;
    color: black;
}

.money-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    order: 1;
}

.money-display{
    font-size: 2em;
    order: 1;
}


.money-button-container {
    display: flex;
    width: 100%;
    order: 3;
}

.money-button {
    font-size: 2em;
    width: 100%;
    padding: 1em;
}

.button-round {
    border-radius: 10px;
}

.message-log {
    display: block;
    font-size: 1.2em;
    width: 100%;
    max-width: 15em;
    height: 250px;
    overflow: hidden;
    order: 2;
}

.message {
    padding-top: 10px;
    opacity: 0;
}

.extra-notifications {
    max-width: 10em;
    margin-left: auto;
    margin-right: auto;
    padding-top: 2em;
    font-size: 1.3rem;
    visibility: hidden;
}

.people-container {
    display: none;
    /* border: 2px solid black; */
    padding: 1em 1em;
    font-size: 1.2em;
    /* min-width: 350px; */
    min-height: 320px;
    /* margin-right:auto; */
    order: 2;
}

.click-upgrade-container {
    display: none;
    /* border: 2px solid black; */
    padding: 1em 1em;
    font-size: 1.2em;
    /* min-width: 350px; */
    min-height: 320px;
    /* margin-left:auto; */
    order: 3;
}

.mobile-options-banner {
    display: none;
    order: 4;
    flex-direction:column;
    gap: 1em;
    margin-top: 2em;
}

.mobile-options-button {
    font-size: 1em;
    padding: 1.5em;
    background-color: var(--button-background-color);
    color: var(--button-color);
    width: 100%;
}

.border-dark {
    border: none;
}

.horizontal-wrapper {
    display: flex;
    flex-direction:column;
}

.effect-text {
    font-weight: bold;
}

.headline {
    font-style: italic;
}

.people {
    margin-top: 1em;
}

.activate-button {
    margin-left: 10px;
    font-size: 0.9em;
    padding: 1em;
    min-width: 35%;
}

.activate-button-activated {
    background-color: var(--button-disabled-background);
    color: var(--button-disabled-color);
}

.upgrade-text {
    display: flex;
    justify-content: space-between;
    margin-top: 40px;
}

.dark-mode {
    background-color: rgb(28, 28, 28);
    color: rgb(187, 162, 63);
}

.stats-screen-container {
    margin-top: 20px;
    padding: 1em;
    display: flex;
    justify-content: center;
}

.endgame-upgrades-button-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin-top: 20px;
}

.endgame-upgrades-container {
    margin-left: auto;
    margin-right: auto;
}

.endgame-upgrades-text {
    font-size: 2em;
}

.unlock-text {
    background-color: rgb(1, 65, 1);
    color: rgb(221, 203, 42);
    text-align: center;
}

.endgame-upgrades-button {
    min-width: 5em;
    padding: 1em 0.5em;
    font-size: 1.2em;
}

.endgame-increase-money-button {
    background-color: gold;
    color: black;
}

.endgame-hard-mode-reward {
    background-color: #880303;
    color: rgb(213, 213, 213);
}

.endgame-coin-button {
    background-color: rgb(1, 65, 1);
    color: rgb(221, 203, 42);
    border-radius: 5em;
}

.endgame-job-button {
    background-color: gray;
    color: rgb(255, 255, 255);
}

.thought-text {
    font-style: italic;
}

.shrink-out{
    animation: 3s forwards shrink;
}

@keyframes shrink {
    from {
        font-size: 40px;
    } to {
        font-size: 0;
    }
}

.fade-in {
    animation: 1s forwards fade-in;
}

@keyframes fade-in {
    from {
        opacity: 0;
    } to {
        opacity: 1;
    }
}

.game-over-text {
    font-size: calc(1em + .7vw);
    line-height: 2.0;
}

.game-over-box {
    max-width: 100%;
    opacity: 0;
    margin-left:auto;
    margin-right:auto;
}

.end-game-button {
    padding: 10px;
    font-size: 1.2rem;
    max-width: 10rem;
    min-width: 10rem;
    cursor: pointer;
}

.endgame-modal-button {
    font-size: 1em;
    padding: 0.5em;
    margin: 1em 0 0 0;
    width: 100%;
}

.coin {
    font-size: 2em;
    display: inline-block;
    margin: 1em;
    text-align: center;
    font-weight: 900;
}

.button-container {
    display: flex;
    justify-content: space-between;
    margin-top: 3em;
}

.options-banner {
    display: none;
}

.desktop-options-buttons {
    margin: auto;
}

.options-button {
    margin: 0 1em;
    padding: 1em;
    min-width: 10em;
    font: 1em sans-serif;
    background-color: var(--button-background-color);
    color: var(--button-color);
    border: thick double gray;
}

.clone-button {
    width: 100%;
    padding: 1em;
    margin-top: 5px;
    font-size: 1em;
}

.modal-popup {
    max-width: 500px;
    font-size: 1.5em;
    padding: 2em;
    background-color:rgb(250, 253, 203);
}

.dark-modal {
    background-color: rgb(28, 28, 28);
    color: rgb(187, 162, 63);
    border: 2px solid rgb(177, 175, 175);
}

.modal-button {
    padding: 0.5em 1em;
    font-size: 1em;
    margin-top: 1em;
}

.stats-line {
    margin: 0.5em 0.5em 0 0;
}

@media (hover: hover){
    button:hover {
        background-color: var(--button-background-hover);
        color: var(--button-hover-color);
    }
}

/* If the screen is large enough, switch to a column layout that displays all the information on one page */
@media screen and (width >= 77em){
    .mobile-tabs{
        display: none;
    }

    .options-banner {
        display: flex;
        margin-top: 3em;
    }

    .horizontal-wrapper {
        flex-direction: row;
        gap: 2em;
        margin-top: 1em;
        font-size: calc(.5em + .5vw);
    }

    .click-upgrade-container {
        display: flex;
        flex-direction: column;
        gap: 2em;
        border: 2px solid black;
        padding: 1em 1em;
        font-size: 1.2em;
        min-width: 20em;
        min-height: 10em;
        max-height: 14.7em;
        margin-left:auto;
        order: 1;
    }

    .money-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 10px;
        order: 2;
    }

    .money-display {
        font-size: 2.5rem;
    }

    .people-container {
        display: block;
        border: 2px solid black;
        padding: 1em 1em;
        font-size: 1.2em;
        min-width: 20em;
        min-height: 20em;
        margin-right:auto;
        order: 3;
    }

    .money-button-container {
        display: flex;
        max-width: 8em;
        order: 2;
    }
    .money-button {
        font-size: 1.5em;
        width: 100%;
        padding: 0.8em 0;
    }
    
    .message-log {
        display: block;
        font-size: 1.2em;
        padding: 1em;
        min-width: 22em;
        height: 250px;
        overflow: hidden;
        order: 3;
    }

    .border-dark {
        border: 2px solid rgb(187, 162, 63);
    }

    .clone-button {
        width: fit-content;
        padding: 0.5em;
        margin-top: 5px;
        font-size: 1em;
    }

    .activate-button {
        margin-left: 10px;
        font-size: 0.9em;
        padding: 0.5em;
        min-width: 0;
    }

    .upgrade-text {
        margin-top: 0;
    }
}

div.flipping{
    animation: 7s flip-coin;
}

@keyframes flip-coin {
    0% {
        rotate: 0deg;
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        rotate: 3600deg;
    }
}